Skip to main content
DELETE
/
workspaces
/
{workspace_id}
/
agent
/
sessions
/
{session_id}
/
artifacts
/
{artifact_type}
/
{artifact_id}
Error
A valid request URL is required to generate request examples
{
  "artifacts": [
    {
      "id": "<string>",
      "title": "<string>",
      "scope": {
        "agentId": "<string>",
        "agentType": "<string>",
        "parentToolCallId": "<string>"
      },
      "type": "case"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

session_id
string<uuid>
required
artifact_type
enum<string>
required
Available options:
case,
workflow,
run,
table,
agent,
alert,
integration,
secret,
generic
artifact_id
string
required
workspace_id
string<uuid>
required

Response

Successful Response

Response schema for persisted agent session artifacts.

artifacts
(CaseArtifact · object | WorkflowArtifact · object | RunArtifact · object | TableArtifact · object | AgentArtifact · object | AlertArtifact · object | IntegrationArtifact · object | SecretArtifact · object | GenericArtifact · object)[]

Case artifact shown in artifact-capable chat surfaces.